package com.docus.server.sys.service;

import com.docus.server.common.IService;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import com.docus.server.sys.common.pojo.entity.PowerUser;

import java.util.Collection;
import java.util.List;

/**
 * 用户服务
 */
public interface IPowerUserService extends IService<PowerUser> {
    /**
     * 用户注册
     *
     * @param userDTO 用户注册参数
     * @return 处理结果
     */
    boolean insertOrUpdatePowerUser(UserDTO userDTO);

    /**
     * 根据用户工号删除用户
     *
     * @param userName 用户工号
     * @return 删除结果
     */
    boolean delUserByUserName(String userName);

    /**
     * 批量保存
     *
     * @param users
     */
    void batchInsertOrUpdatePowerUser(List<UserDTO> users);


    PowerUser findOneBy1(String userName, String userValue);

    List<PowerUser> findByList1(String userName, Collection<Object> userNames);
}
